Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class Parameters.AccessRecordingProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  ix.util.Parameters.AccessRecordingProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

Enclosing class:
  Parameters

    static class Parameters.AccessRecordingProperties

extends java.util.Properties

Field Summary
`(package private) java.util.Hashtable` | `accessTable`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`Parameters.AccessRecordingProperties()`

Method Summary
`boolean` | `accessedProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`

Methods inherited from class java.util.Properties
`list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### accessTable

    java.util.Hashtable accessTable

Constructor Detail

### Parameters.AccessRecordingProperties

    public Parameters.AccessRecordingProperties()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Overrides:
    `getProperty` in class `java.util.Properties`

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

  Overrides:
    `getProperty` in class `java.util.Properties`

### accessedProperty

    public boolean accessedProperty(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD